net.minecraft.client.entity

## Class AbstractClientPlayer

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.player.EntityPlayer
      - - net.minecraft.client.entity.AbstractClientPlayer

- All Implemented Interfaces:
    ICommandSender
  Direct Known Subclasses:
    EntityOtherPlayerMP, EntityPlayerSP

      public abstract class AbstractClientPlayer
      extends EntityPlayer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ResourceLocation` | `locationStevePng`

    - ### Fields inherited from class net.minecraft.entity.player.EntityPlayer

      `cameraYaw, capabilities, experience, experienceLevel, experienceTotal, eyeHeight, field_71079_bU, field_71082_cx, field_71085_bR, field_71089_bV, field_71091_bM, field_71094_bP, field_71095_bQ, field_71096_bN, field_71097_bO, fishEntity, inventory, inventoryContainer, openContainer, PERSISTED_NBT_TAG, playerLocation, prevCameraYaw, sleepTimer, username, xpCooldown`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, deathTime, field_70769_ao, field_70770_ap, hurtTime, isSwingInProgress, jumpMovementFactor, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClientPlayer(World par1World, String par2Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getCapeUrl(String par0Str)`
    `static ThreadDownloadImageData` | `getDownloadImageCape(ResourceLocation par0ResourceLocation, String par1Str)`
    `static ThreadDownloadImageData` | `getDownloadImageSkin(ResourceLocation par0ResourceLocation, String par1Str)`
    `ResourceLocation` | `getLocationCape()`
    `static ResourceLocation` | `getLocationCape(String par0Str)`
    `ResourceLocation` | `getLocationSkin()`
    `static ResourceLocation` | `getLocationSkin(String par0Str)`
    `static ResourceLocation` | `getLocationSkull(String par0Str)`
    `static String` | `getSkinUrl(String par0Str)`
    `ThreadDownloadImageData` | `getTextureCape()`
    `ThreadDownloadImageData` | `getTextureSkin()`

    - ### Methods inherited from class net.minecraft.entity.player.EntityPlayer

      `addChatMessage, addExhaustion, addExperience, addExperienceLevel, addMovementStat, addScore, addStat, addToPlayerScore, attackEntityFrom, attackTargetEntityWithCurrentItem, canAttackPlayer, canEat, canHarvestBlock, canPlayerEdit, clearItemInUse, clonePlayer, closeScreen, destroyCurrentEquippedItem, displayGUIAnvil, displayGUIBeacon, displayGUIBook, displayGUIBrewingStand, displayGUIChest, displayGUIDispenser, displayGUIEditSign, displayGUIEnchantment, displayGUIFurnace, displayGUIHopper, displayGUIHopperMinecart, displayGUIHorse, displayGUIMerchant, displayGUIWorkbench, dropOneItem, dropPlayerItem, dropPlayerItemWithRandomChoice, getAbsorptionAmount, getAIMoveSpeed, getAlwaysRenderNameTagForRender, getArmorVisibility, getBedLocation, getBedLocation, getBedOrientationInDegrees, getCommandSenderName, getCurrentArmor, getCurrentEquippedItem, getCurrentItemOrArmor, getCurrentPlayerStrVsBlock, getCurrentPlayerStrVsBlock, getDefaultEyeHeight, getDisplayName, getEntityName, getEntityWorld, getEyeHeight, getFoodStats, getHeldItem, getHideCape, getInventoryEnderChest, getItemIcon, getItemInUse, getItemInUseCount, getItemInUseDuration, getLastActiveItems, getMaxInPortalTime, getPortalCooldown, getScore, getSleepTimer, getTeam, getTotalArmorValue, getTranslatedEntityName, getWorldScoreboard, getYOffset, handleHealthUpdate, interactWith, isBlocking, isCurrentToolAdventureModeExempt, isEntityInsideOpaqueBlock, isInvisibleToPlayer, isPlayerFullyAsleep, isPlayerSleeping, isPushedByWater, isSpawnForced, isSpawnForced, isUsingItem, joinEntityItemWithWorld, mountEntity, moveEntityWithHeading, onCriticalHit, onDeath, onEnchantmentCritical, onKillEntity, onLivingUpdate, onUpdate, openGui, playSound, preparePlayerToSpawn, readEntityFromNBT, refreshDisplayName, respawnPlayer, sendPlayerAbilities, setAbsorptionAmount, setCurrentItemOrArmor, setDead, setGameType, setInWeb, setItemInUse, setScore, setSpawnChunk, setSpawnChunk, shouldHeal, sleepInBedAt, stopUsingItem, triggerAchievement, updateRidden, verifyRespawnCoordinates, wakeUpPlayer, writeEntityToNBT, xpBarCap`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, attackEntityAsMob, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, dismountEntity, func_110142_aN, func_142015_aE, func_94060_bK, getActivePotionEffect, getActivePotionEffects, getAge, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getEntityAttribute, getHealth, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getPosition, getRNG, getRotationYawHead, getSwingProgress, heal, isChild, isClientWorld, isEntityAlive, isEntityUndead, isOnLadder, isOnSameTeam, isOnTeam, isPotionActive, isPotionActive, isPotionApplicable, knockBack, onEntityUpdate, onItemPickup, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, setSprinting, shouldRiderFaceForward, swingItem`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, getAir, getBlockExplosionResistance, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getExtendedProperties, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getShadowSize, getTeleportDirection, getUniqueID, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInvisible, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, moveEntity, moveFlying, onChunkLoad, onCollideWithPlayer, onStruckByLightning, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setEating, setFire, setInPortal, setInvisible, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldExplodeBlock, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.command.ICommandSender

      `canCommandSenderUseCommand, getPlayerCoordinates, sendChatToPlayer`

- - ### Field Detail

    - #### locationStevePng

          public static final ResourceLocation locationStevePng

  - ### Constructor Detail

    - #### AbstractClientPlayer

          public AbstractClientPlayer(World par1World,
                              String par2Str)

  - ### Method Detail

    - #### getTextureSkin

          public ThreadDownloadImageData getTextureSkin()

    - #### getTextureCape

          public ThreadDownloadImageData getTextureCape()

    - #### getLocationSkin

          public ResourceLocation getLocationSkin()

    - #### getLocationCape

          public ResourceLocation getLocationCape()

    - #### getDownloadImageSkin

          public static ThreadDownloadImageData getDownloadImageSkin(ResourceLocation par0ResourceLocation,
                                                     String par1Str)

    - #### getDownloadImageCape

          public static ThreadDownloadImageData getDownloadImageCape(ResourceLocation par0ResourceLocation,
                                                     String par1Str)

    - #### getSkinUrl

          public static String getSkinUrl(String par0Str)

    - #### getCapeUrl

          public static String getCapeUrl(String par0Str)

    - #### getLocationSkin

          public static ResourceLocation getLocationSkin(String par0Str)

    - #### getLocationCape

          public static ResourceLocation getLocationCape(String par0Str)

    - #### getLocationSkull

          public static ResourceLocation getLocationSkull(String par0Str)